import {
    Y as e
} from "./chunk-SSI6PFOR.js";
var u = (() => {
    class t {
        constructor() {
            this._defaultStatus = "In transit", this._defaultSubStatus = "Other", this._statusMap = new Map([
                ["ATT", "Attention"],
                ["DEL", "Delivered"],
                ["IND", "Inducted"],
                ["INT", "In Transit"],
                ["OFD", "Out For Delivery"],
                ["POP", "Picked Up"],
                ["SDR", "Shipment Created"]
            ]), this._substatusMap = new Map([
                ["Address Correction Required", "Address Correction Required"],
                ["Appointment Required", "Appointment Required"],
                ["Available For Pickup", "Available for Pick Up"],
                ["Customs", "Customs"],
                ["Damaged", "Damaged"],
                ["Delayed", "Delayed"],
                ["Other", "Other"],
                ["Receiver Unavailable", "Receiver Unavailable"]
            ]);
        }
        get defaultStatus() {
            return this._defaultStatus;
        }
        get defaultSubStatus() {
            return this._defaultSubStatus;
        }
        get statusMap() {
            return this._statusMap;
        }
        get substatusMap() {
            return this._substatusMap;
        }
        static {
            this.ɵfac = function(a) {
                return new(a || t)();
            };
        }
        static {
            this.ɵprov = e({
                token: t,
                factory: t.ɵfac,
                providedIn: "root"
            });
        }
    }
    return t;
})();
export {
    u as a
}; /**i18n:6e1dbccd4192d215e143e99fb4b6a095cee3c871f5aa7cd380ca91231f35e8e0*/